{
  "name": "icpx-platform",
  "version": "4.0.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vite build",
    "dev": "vite",
    "vite:dev": "vite",
    "vite:build": "vite build",
    "preview": "vite preview --port=4000"
  },
  "dependencies": {
    "@alilc/lowcode-types": "^1.0.15",
    "@crami/frame-lowcode": "workspace:*",
    "@types/lodash-es": "^4.17.6",
    "@umijs/ssr-darkreader": "^4.9.45",
    "core-js": "^3.21.1",
    "crypto-js": "^4.1.1",
    "echarts": "^4.9.0",
    "gridstack": "^7.2.2",
    "mitt": "^3.0.0",
    "nprogress": "^0.2.0",
    "numeral": "^2.0.6",
    "resize-detector": "^0.3.0",
    "screenfull": "^6.0.1",
    "scroll-into-view-if-needed": "^2.2.29",
    "smooth-dnd": "^0.12.1"
  },
  "devDependencies": {
    "@surely-vue/table": "2.4.7",
    "echarts-wordcloud": "^1.1.3",
    "js-base64": "^3.7.2",
    "js-md5": "^0.7.3",
    "kill-port-process": "^3.0.1",
    "less": "^4.1.3",
    "less-loader": "^10.2.0",
    "less-vars-to-js": "^1.3.0",
    "lint-staged": "^12.3.7",
    "mockjs": "^1.1.0",
    "prettier-plugin-style-order": "^0.2.2",
    "prettier-quick": "^0.0.5",
    "raw-loader": "^4.0.2",
    "stylelint-config-css-modules": "^4.1.0",
    "stylelint-config-rational-order": "^0.1.2",
    "stylelint-declaration-block-no-ignored-properties": "^2.5.0",
    "stylelint-no-unsupported-browser-features": "^5.0.3",
    "stylelint-order": "^5.0.0",
    "stylelint-webpack-plugin": "^3.2.0",
    "umi-mock-middleware": "^1.0.0",
    "webpack-bundle-analyzer": "^4.5.0"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged && pretty-quick --staged"
    }
  },
  "lint-staged": {
    "*.{js,jsx,vue,ts,tsx}": [
      "vue-cli-service lint",
      "git add"
    ]
  },
  "pnpm": {
    "peerDependencyRules": {
      "ignoreMissing": [
        "@babel/core",
        "camunda-bpmn-js-behaviors",
        "preact",
        "webpack",
        "@bpmn-io/properties-panel",
        "diagram-js",
        "rollup"
      ]
    }
  },
  "resolutions": {
    "esbuild": "0.14.34",
    "@crami/router": "1.0.7",
    "@types/node": "17.0.36"
  }
}
